package cds.charac.tools;

import java.io.File;
public class MappingTools {

	/**
	 * teste l'extension d'un fichier avec prise en charge de la 
	 * non sensibilit  la casse
	 * @param f le fichier  tester son extension
	 * @param extension l'extension voulue !!!ne pas mettre .extension juste extension
	 * @return false si le fichier ne porte pas la bonne extesion, true sinon
	 */

	public static Boolean extensionFileTest(File f,String extension){
		String s=f.getName().trim().toLowerCase();
		extension=extension.trim().toLowerCase();
		if(s.endsWith("."+extension))
			return true;
		else return false;

	}


	/**
	 * Cette fonction permet de changer l'extension de nom de fichier
	 * Elle remplace la derniere occurence de .* par .newExt
	 * @param name nom du fichier
	 * @param newExt la nouvelle extension
	 * @return le nom de fichier avec la nouvelle extension
	 */
	public static String ChangeFileExtension(String name,String newExt){
		if(!name.trim().contains(".")){
			return name.trim()+"."+newExt;
		}
		else
		{
			String temp[]=name.split("\\.");
			//extraction de l'extension du fichier d'origine
			String oldExtension=temp[temp.length-1].trim();
			// partir de ql indice commence l'extension de fichier
			int i=name.lastIndexOf(oldExtension); 
			//Extraction du nomde fichier sans l'extension
			String nameSsExt=name.trim().substring(0,i-1);
			//ajout de l'extension
			return nameSsExt.trim()+"."+newExt;
		}

	}


}
